import { Repository } from "typeorm";
import { Offer } from "../../common/offer/offer.entity";
import { CreateOfferDto, UpdateOfferDto, UpdateStatusDto } from "./offer.dto";
export declare class AdminOfferService {
    private readonly offerRepository;
    constructor(offerRepository: Repository<Offer>);
    create(CreateOfferDto: CreateOfferDto): Promise<Offer>;
    findAll(): Promise<Offer[]>;
    findOne(id: number): Promise<Offer>;
    update(id: number, UpdateOfferDto: UpdateOfferDto): Promise<Offer>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, status: UpdateStatusDto): Promise<Offer>;
}
